MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::Result< T > Class Template Reference

Result are members of Compute specializations that keep track of whether or not a particular result should be computed or if it has already been computed. More...

`#include <comptmpl.h>`

Inheritance diagram for sc::Result< T >:
[legend]
Collaboration diagram for sc::Result< T >:
[legend]

## Public Member Functions
| Result (Compute *c)
| Result (const Result< T > &r, Compute *c)
| operator T & ()
T * | operator-> ()
T & | result ()
T & | result_noupdate ()
const T & | result_noupdate () const
void | operator= (const T &a)
void | operator= (const Result< T > &r)
Public Member Functions inherited from sc::ResultInfo
| ResultInfo (Compute *c)
int & | compute ()
const int & | compute () const
int | compute (int c)
int & | computed ()
const int & | computed () const
virtual int | needed () const

## Additional Inherited Members
Protected Member Functions inherited from sc::ResultInfo
virtual void | update ()
| ResultInfo (StateIn &, Compute *)
| ResultInfo (const ResultInfo &, Compute *)
virtual void | save_data_state (StateOut &)
virtual void | restore_state (StateIn &)
ResultInfo & | operator= (const ResultInfo &)
Protected Attributes inherited from sc::ResultInfo
int | _compute
int | _computed
Compute * | _c

## Detailed Description

### template<class T>
class sc::Result< T >

Result are members of Compute specializations that keep track of whether or not a particular result should be computed or if it has already been computed.

For non-class template parameters, use NCResult.

The documentation for this class was generated from the following file:

- comptmpl.h